Index: cpukit/ChangeLog
===================================================================
--- cpukit/ChangeLog	(revision 3923700ef4226d300fe41f582bb8642aa1f22b04)
+++ cpukit/ChangeLog	(revision aa61d533075eb4bcbfa2ee94205ff7dc48c483d2)
@@ -1,2 +1,6 @@
+2010-05-31	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* libcsupport/include/rtems/libio.h: Remove if 0 section. Formatting.
+
 2010-05-31	Chris Johns <chrisj@rtems.org>
 
Index: cpukit/libcsupport/include/rtems/libio.h
===================================================================
--- cpukit/libcsupport/include/rtems/libio.h	(revision 3923700ef4226d300fe41f582bb8642aa1f22b04)
+++ cpukit/libcsupport/include/rtems/libio.h	(revision aa61d533075eb4bcbfa2ee94205ff7dc48c483d2)
@@ -49,5 +49,4 @@
  * Valid RTEMS file types.
  */
-
 #define RTEMS_FILESYSTEM_DIRECTORY   1
 #define RTEMS_FILESYSTEM_DEVICE      2
@@ -60,5 +59,4 @@
  *  File Handler Operations Table
  */
-
 typedef int (*rtems_filesystem_open_t)(
   rtems_libio_t *iop,
@@ -162,5 +160,4 @@
  *      routine returns.
  */
-
 typedef int (*rtems_filesystem_mknod_t)(
    const char                        *path,       /* IN */
@@ -349,25 +346,8 @@
 );
 
-#if 0
-/* Now in exec/include/rtems/fs.h */
-
-/*
- * Structure used to determine a location/filesystem in the tree.
- */
-
-struct rtems_filesystem_location_info_tt
-{
-  void                                   *node_access;
-  rtems_filesystem_file_handlers_r       *handlers;
-  rtems_filesystem_operations_table      *ops;
-  rtems_filesystem_mount_table_entry_t   *mt_entry;
-};
-#endif
-
 /*
  *  Structure used to contain file system specific information which
  *  is required to support fpathconf().
  */
-
 typedef struct {
   int    link_max;                 /* count */
@@ -446,7 +426,5 @@
  *  Valid RTEMS file systems options
  */
-
-typedef enum
-{
+typedef enum {
   RTEMS_FILESYSTEM_READ_ONLY,
   RTEMS_FILESYSTEM_READ_WRITE,
@@ -461,16 +439,15 @@
  *     points to (eg: size, offset, driver, pathname should be in that)
  */
-
 struct rtems_libio_tt {
-    rtems_driver_name_t                    *driver;
-    rtems_off64_t                           size;      /* size of file */
-    rtems_off64_t                           offset;    /* current offset into file */
-    uint32_t                                flags;
-    rtems_filesystem_location_info_t        pathinfo;
-    rtems_id                                sem;
-    uint32_t                                data0;     /* private to "driver" */
-    void                                   *data1;     /* ... */
-    void                                   *file_info; /* used by file handlers */
-    const rtems_filesystem_file_handlers_r *handlers;  /* type specific handlers */
+  rtems_driver_name_t                    *driver;
+  rtems_off64_t                           size;      /* size of file */
+  rtems_off64_t                           offset;    /* current offset into file */
+  uint32_t                                flags;
+  rtems_filesystem_location_info_t        pathinfo;
+  rtems_id                                sem;
+  uint32_t                                data0;     /* private to "driver" */
+  void                                   *data1;     /* ... */
+  void                                   *file_info; /* used by file handlers */
+  const rtems_filesystem_file_handlers_r *handlers;  /* type specific handlers */
 };
 
@@ -480,12 +457,11 @@
  *        we can have multiple outstanding i/o's on a device.
  */
-
 typedef struct {
-    rtems_libio_t          *iop;
-    rtems_off64_t           offset;
-    char                   *buffer;
-    uint32_t                count;
-    uint32_t                flags;
-    uint32_t                bytes_moved;
+  rtems_libio_t          *iop;
+  rtems_off64_t           offset;
+  char                   *buffer;
+  uint32_t                count;
+  uint32_t                flags;
+  uint32_t                bytes_moved;
 } rtems_libio_rw_args_t;
 
@@ -493,9 +469,8 @@
  *  param block for open/close
  */
-
 typedef struct {
-    rtems_libio_t          *iop;
-    uint32_t                flags;
-    uint32_t                mode;
+  rtems_libio_t          *iop;
+  uint32_t                flags;
+  uint32_t                mode;
 } rtems_libio_open_close_args_t;
 
@@ -503,10 +478,9 @@
  *  param block for ioctl
  */
-
 typedef struct {
-    rtems_libio_t          *iop;
-    uint32_t                command;
-    void                   *buffer;
-    uint32_t                ioctl_return;
+  rtems_libio_t          *iop;
+  uint32_t                command;
+  void                   *buffer;
+  uint32_t                ioctl_return;
 } rtems_libio_ioctl_args_t;
 
@@ -514,5 +488,4 @@
  *  Values for 'flag'
  */
-
 #define LIBIO_FLAGS_NO_DELAY      0x0001  /* return immediately if no data */
 #define LIBIO_FLAGS_READ          0x0002  /* reading */
@@ -569,5 +542,4 @@
  *  mode_t bits and should stay compatible with them.
  */
-
 #define RTEMS_LIBIO_PERMS_READ   S_IROTH
 #define RTEMS_LIBIO_PERMS_WRITE  S_IWOTH
@@ -580,15 +552,4 @@
  *  Macros
  */
-
-#if 0
-#define rtems_filesystem_make_dev_t( _major, _minor ) \
-  ((((dev_t)(_major)) << 32) | (dev_t)(_minor))
-
-#define rtems_filesystem_dev_major_t( _dev ) \
-  (rtems_device_major_number) ((_dev) >> 32)
-
-#define rtems_filesystem_dev_minor_t( _dev ) \
-  (rtems_device_minor_number) ((_dev) & 0xFFFFFFFF)
-#else
 
 #include <unistd.h>
@@ -635,6 +596,4 @@
 }
 
-#endif
-
 #define rtems_filesystem_split_dev_t( _dev, _major, _minor ) \
   do { \
@@ -649,5 +608,4 @@
  (~ ((~RTEMS_LIBIO_PERMS_RWX) & _perm ))
 
-
 /*
  *  Prototypes for filesystem
@@ -656,9 +614,7 @@
 void rtems_filesystem_initialize( void );
 
-
 /*
  * Callbacks from TERMIOS routines to device-dependent code
  */
-
 #include <termios.h>
 
@@ -677,5 +633,4 @@
  *  Device-independent TERMIOS routines
  */
-
 void rtems_termios_initialize (void);
 
@@ -751,5 +706,4 @@
 extern const int                             rtems_filesystem_mount_table_size;
 
-
 typedef void (*rtems_libio_init_functions_t)(void);
 extern  rtems_libio_init_functions_t rtems_libio_init_helper;
